Subject: Re: Why does git-patch-id(1) sometimes print two lines, one of which has commit = 0000000000000000000000000000000000000000

From: Michael J Gruber <[email-masked]>
Date: Wed, 16 Feb 2011 17:11:42 +0100

Ævar Arnfjörð Bjarmason venit, vidit, dixit 16.02.2011 15:56:
> This behaves as I'd expect on git.git, i.e. shows a patch id and the commit id:
> 
>     $ git show 24231e063f0f003f8ffd7b64c7ba6a0baaaa5283 | git patch-id
>     f10c69e0e5b33da206f37bd93639875555ac9b79
> 24231e063f0f003f8ffd7b64c7ba6a0baaaa5283
> 
> But what does this mean, also on git.git:
> 
>     $ git show 7d48e9e6f77d336376c1a554eeff0590f77e1ee1 | git patch-id
>     4ba8a248731c5fcbd09cacb248d3128e742d1c90
> 7d48e9e6f77d336376c1a554eeff0590f77e1ee1
>     d019b35e0b859cdd6907ee170927de1124c0ed6e
> 0000000000000000000000000000000000000000
> 
> 7d48e9e6f77d336376c1a554eeff0590f77e1ee1 is just one of the commits
> that results in this output:
> 
>     $ git log --pretty=format:%H -p | git patch-id | grep
> 0000000000000000000000000000000000000000
>     d019b35e0b859cdd6907ee170927de1124c0ed6e
> 0000000000000000000000000000000000000000
>     3b23a2a11055aef557369971e825010879a8c4d7
> 0000000000000000000000000000000000000000
>     d498fbbad6f1374d952925df699da237c3e8f2df
> 0000000000000000000000000000000000000000
>     b0c930dc1926ffae9cca022797856762fa908be6
> 0000000000000000000000000000000000000000

You're telling us that patch-ids, not the sha1's of affected commits here.

> 
> And on another repository where I'm dealing with this I have a bunch
> more of them.
> 
> Why are they there and what do they mean? Maybe it's a bug, or
> something I can explain in the manual page.

You would have to explain that git-patch-id trips over "\ Now
newline..." lines in our diffs. Alternatively, wait a few minutes for my
patch (done) with a test (the boring part...).

Cheers,
Michael